﻿body {
    font-family: 'Source Sans Pro' !important;
}

/* Set padding to keep content from hitting the edges */
.body-content {
    padding-left: 15px;
    padding-right: 15px;
}

/* Override the default bootstrap behavior where horizontal description lists 
   will truncate terms that are too long to fit in the left column 
*/
.dl-horizontal dt {
    white-space: normal;
}

/*  gentelella override for title_left  */
.title_left, .page-title .title_left h3 {
    width: 85% !important;
    color: #1e2632 !important;
    font-weight: 600 !important;
}

.ui-widget-overlay {
    background: #555 !important;
}

.ui-dialog-titlebar.psg-dialog-titlebar.ui-widget-header {
    background: #575A62 50% 50% repeat-x;
    color: #eee !important;
}

.dataTables_filter input {
    width: 20em;
}

.dataTables_paginate .paginate_button.current {
    border-color: #999 !important;
}

/****************************************************/
/*          PSG color palete                        */
/****************************************************/
.colorPSGGreen {
    color: #67806D;
}

.colorPSGOrange {
    color: #E08A27;
}

.colorPSGRed {
    color: #CA2127;
}

.colorPSGBlue {
    color: #73B6C6;
}

.bkColorPSGGreen {
    background-color: #67806D;
}

.bkColorPSGOrange {
    background-color: #E08A27;
}

.bkColorPSGRed {
    background-color: #CA2127;
}

.bkColorPSGBlue {
    background-color: #73B6C6;
}

.pnotify-warn {
    background-color: #E08A27 !important;
    border-color: #E08A27 !important;
    font-size: larger;
}
/****************************************************/

.titleIcon {
    font-size: small;
    margin: 0 1em;
    vertical-align: middle;
}

fieldset {
    border-radius: 10px;
    padding: 0 1em;
    border: 1px solid #c0c0c0;
    width: 100%;
}

fieldset legend {
    border: 0;
    margin: 0;
    padding: 0 1em;
    font-weight: 700;
    width: auto;
}

button {
    box-shadow: 1px 1px 3px #555;
}

button i {
    margin-right: 1em;
}

input[type=checkbox] {
    cursor: pointer;
}

label {
    font-weight: normal;
}

.navIcon {
    height: 20px;
    width: 20px;
}

.extraLeftMargin {
    margin-left: 28px;
}

/* hide the up/down arrows WebKit and FF browsers put on 'numberic' input fields */
input[type=number]::-webkit-inner-spin-button,
input[type=number]::-webkit-outer-spin-button {
    -webkit-appearance: none;
    margin: 0;
}
input[type="number"] {
    -moz-appearance: textfield;
}

.dlgBoxShadow {
    box-shadow: 5px 5px 24px 5px #888;
}

/*  jQuery UI Datepicker tweaks */

.divDatePicker {
    display: flex;
}

.divDatePicker button {
    background-color: transparent;
    border: 0;
    box-shadow: none;
}

.required {
    margin-top: .5em;
    margin-left: .5em;
    color: #ca2127;
    font-weight: 600;
}

.requiredLabel {
    font-weight: 500 !important;
    font-size: 14.3px !important;
    color: #ca2127 !important;
}


/*Pnotify tweaks*/

.ui-pnotify-title {
   text-align: center!important;
}
div.ui-pnotify-container div.ui-pnotify-icon {
    font-size: large;
}

.alert-success {
    background-color: #67806d !important;
    border-color: #67806d!important;
   
}

.ui-pnotify {
    min-width: 400px !important;
}

.ui-pnotify-closer {
    visibility: visible !important;
}

.ui-pnotify-icon {
    margin-top: 30px;
    margin-left: 20px;
}

.ui-pnotify-text {
    padding-top: 5px;
}

/*.ui-pnotify-icon, .ui-pnotify-icon span {
   Color: red!important;
}*/
/*Tool tip*/
.tooltipLarge1 {
    width: 24.5em !important;
    max-width: inherit;
    padding-right: .5em;
}

.tooltipLarge2 {
    width: 21em !important;
    max-width: inherit;
}

.tooltipLarge3 {
    width: 30em !important;
    max-width: inherit;
    padding: .4em;
}

.splitRowToolTip {
    text-align: left;
    width: 12em;
}

.tableIcon {
    color: darkcyan;
    cursor: pointer;
}


    /* adding font family*/
.ui-accordion{
    font-family:'Source Sans Pro'!important;
}

.ui-widget {
    font-family: 'Source Sans Pro' !important;
}

.ui-widget input, .ui-widget select, .ui-widget textarea, .ui-widget button {
        font-family: 'Source Sans Pro' !important;
 }

input, button, select, textarea {
    font-family: 'Source Sans Pro' !important;
}

/*Custom glyphicon*/
.glyphicon.glyphicon-one-fine-dot {
    height: 34px;
    overflow: hidden;
    font-size: 18px;
    margin: 0 .5em 10px 0;
}

.glyphicon.glyphicon-one-fine-dot:before {
    content: "\25cf";
    font-size: 1.5em;
}

/* Datatable*/
.tableRowOdd {
    background-color: #fff !important;
}

.tableRowEven {
    background-color: #f4f4f4 !important;
}

.dataTables_wrapper .dataTables_length,
.dataTables_wrapper .dataTables_length label {
    float: right !important;
}

table.dataTable {
    color: black !important;
    font-size: 12px !important;
}

table.dataTable tbody td, table.dataTable thead th {
    border-right-style: solid;
    border-right-color: gray /*#ccc*/;
    border-right-width: thin;
}

table.dataTable thead th {
    text-align: center;
    background-color: #cccccc;
}

table.dataTable.no-footer {
    border: thin solid black;
}

.center {
    text-align: center;
}

/* Dialog close button*/

.psg-dialog-titlebar .ui-dialog-titlebar-close {
    display: none;
}

.psg-dialog-titlebar .psg-dialog-close-button {
    font-size: 22px;
    cursor: pointer;
    float: right;
}

.psg-dialog-titlebar.error {
    background-color: #CA2127 !important;
}

.psg-dialog-titlebar.success {
    background-color: #67806D !important;
}

.replace-warning-dialog-titlebar {
    background: #E08A27 50% 50% repeat-x !important;
}

.replace-confirm-dialog-titlebar {
    background: #67806d 50% 50% repeat-x !important;
}

.replace-error-dialog-titlebar {
    background: #CA2127 50% 50% repeat-x !important;
}

.replace-default-dialog-titlebar {
    background: #575A62 50% 50% repeat-x !important;
}

.default-dialog-color {
    color: #575A62;
}

.psg-dialog-body {
    display: flex;
    align-items: center;
    margin: 1em 0 1em 0;
}

.psg-dialog-error-text {
    text-align: left;
    margin: .5em;
    border-radius: 5px;
    padding: .5em;
    border: 2px solid;
    display: inline-block;
    width: 90%;
    max-height: 250px;
    overflow-y: auto;
}

#psgErrorListHeader {
    padding-left: 10%;
    padding-right: 10%;
}

.psg-dialog-body .glyphicon-remove-sign {
    font-size: 24px;
}

.error-dialog-titlebar {
    background: #CA2127 50% 50% repeat-x !important;
}

.error-ui-dialog-titlebar {
    background-color: #CA2127 !important;
}

.psg-dialog-body .glyphicon {
    font-size: 24px;
    margin-right: 1em;
}

#dlgPSGConfirmation .psg-dialog-body .glyphicon {
    margin-right: 1em;
    align-self: center;
}


.psg-comment-text-div {
    display: inline-flex !important;
    align-items: center !important;
    margin-top: 1.5em;
}

.psg-comment-icon {
    cursor: pointer;
    margin: 1px !important;
    font-size: small;
}

.psg-datatable-action-icon {
    cursor: pointer;
    margin-right: 5px;
}

.psg-button-with-tooltip {
    pointer-events: auto;
}

.psg-disabled-button-with-tooltip {
    pointer-events: none;
}
/*-----------------------------------------*/
.fa-trash {
    color: black !important;
}

.fa-trash:hover {
    color: red !important;
}


.customNotes {
    font-style: italic !important;
    font-weight: 900!important;
    color: #242423 !important;
    font-size: small!important;
}

.modalLables {
    font-weight: 900 !important;
    color: #555!important;
}

.yadcf-filter-reset-button {
    box-shadow: none;
    /* margin-left: 2px; */
    height: 28.5px !important;
    margin: 0 !important;
}

.pageHeader {
    margin-left: 23px!important;
}

/* Input fields*/
.psg-field-label-bold {
    font-weight: 900;
    width: 35%;
}

.psg-field-input-inline {
    display: inline-flex;
    margin-left: 1em;
    width: 50%;
}

.psg-label-bold {
    font-weight: 900;
}

.psg-password-note-text {
    margin-left: 120px;
    margin-right: 120px;
    font-style: italic;
    font-weight: 500;
}
/**/

/*----------------------------------------*/
/*    jQuery UI and Bootstrap overrides  */
h3.ui-state-active {
    font-weight: bold;
}

/*------Accordion---------*/
.ui-accordion .ui-accordion-header {
    padding-bottom: 1.25em !important;
}

.psg-accordion-header i.glyphicon-remove-circle, 
.psg-accordion-header i.glyphicon-info-sign, 
.psg-accordion-header i.glyphicon-ok-sign {
    float: right;
    margin-right: 2em;
    font-size: x-large;
}

.psg-accordion-header i.glyphicon-remove-circle,
.psg-accordion-header i.glyphicon-info-sign {
    color: #999;
}

.psg-accordion-header i.glyphicon-ok-sign {
    color: #67806D;
}
/*----------------------------------------*/

/*--------------Treeview-------------*/
/* Remove default bullets */
.psg-treeview-list {
    margin-top: 1em;
    list-style-type: none;
    max-height: 400px;
    overflow-y: auto;
}

/* Style the caret/arrow */
.psg-treeview-caret {
    cursor: pointer;
    font-family: Segoe UI Symbol;
    user-select: none; /* Prevent text selection */
}

/* Create the caret/arrow with a unicode, and style it */
.psg-treeview-caret::before {
    content: "\25B6";
    color: black;
    display: inline-block;
    margin-right: 6px;
}

/* Rotate the caret/arrow icon when clicked on (using JavaScript) */
.psg-treeview-caret-down::before {
    transform: rotate(90deg);
}

/* Hide the nested list */
.psg-treeview-nested {
    display: none;
}

/* Show the nested list when the user clicks on the caret/arrow (with JavaScript) */
.psg-treeview-active {
    display: block;
}

.psg-treeview-list-item {
    margin-bottom: 1em;
}

.form-group .switchery {
    margin-left: 1em;
}

.psg-treeview-list-item .switchery {
    margin-right: 1em;
}

.psg-treeview-list-item .switchery {
    margin-left: 20px;
}

.psg-treeview-list-item .has-children + .switchery {
    margin-left: 0px;
}
/*---------------------------------------*/



/*to show default cursor on disabled controls*/

.btn[disabled] {
    cursor: inherit !important;
}


.form-control[disabled] {
    cursor: inherit !important;
}

/*---------------------------------------*/

.psg-dropdown-label {
    color: #242423;
    font-weight: 600;
}

.psgLabel {
    color: #242423 !important;
    font-weight: 500 !important;
    font-size: 14.3px!important;
}

.psgAccordionLabel {
    font-weight: 600 !important;
}

.rightAlignedNotes {
    text-align:right!important;
    font-style:italic!important;
    font-weight:900;
    color:#242423!important;
    font-size:14.3px!important;
}

/*Internet Explorer- clears the 'X' from  input element*/
input[type=text]::-ms-clear {
    display: none;
    width: 0;
    height: 0;
}

input[type=text]::-ms-reveal {
    display: none;
    width: 0;
    height: 0;
}

.psg-export-button {
    margin-top: 0.25em;
    float: right;
}
.legendRequired {
    margin-top: .5em;
    margin-left:0;
    color: #ca2127;
    font-weight: 600;
}

.missing-cost {
    color: red;
}

.missing-cost input {
    border-color: red;
}


.btn-primary {
    color: #fff!important;
    background-color: #339CF2 !important;
    border-color: #3997e5!important;
}

.btn-primary:hover {
        background-color: #43A4F4!important;
       
}

/*.nav.side-menu > li.active > a {
    text-shadow: rgb(0 0 0 / 25%) 0 -1px 0 !important;
    background: linear-gradient(#1e2632, #242e3d), #1e2632 !important;
    box-shadow: rgb(0 0 0 / 25%) 0 1px 0, inset rgb(255 255 255 / 16%) 0 1px 0 !important;
}
*/
.dropdown-menu > .active > a, .dropdown-menu > .active > a:hover, .dropdown-menu > .active > a:focus {

    background-color: #337ab7!important;

}